plugins {
    id 'java'
    id 'org.springframework.boot' version '3.4.0'
    id 'io.spring.dependency-management' version '1.1.6'
}

dependencies {
    implementation project(':business-application')
    implementation project(':business-infrastructure')
    implementation project(':business-common')
    implementation project(':business-domain')

    // aliyun oso sdk
    implementation 'com.aliyun.oss:aliyun-sdk-oss:3.17.4'
    implementation 'javax.activation:activation:1.1.1'
    implementation 'javax.xml.bind:jaxb-api:2.3.1'
    implementation 'org.glassfish.jaxb:jaxb-runtime:2.3.3'

    // Ucloud
    implementation 'cn.ucloud:ucloud-sdk-java-usms:1.2.17-release'

    //    implementation 'org.springframework.boot:spring-boot-starter-security'
    implementation 'org.springframework.boot:spring-boot-starter-web'

    implementation 'org.springframework.cloud:spring-cloud-starter'
    implementation 'org.springframework.cloud:spring-cloud-starter-consul-config'
    implementation 'org.springframework.cloud:spring-cloud-starter-consul-discovery'

    implementation 'org.springframework.cloud:spring-cloud-starter-loadbalancer'
}